<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<!-- bootstrap css -->
	<link 	rel="stylesheet" 
			href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>
	<!-- external css -->
	<link rel="stylesheet" type="text/css" href="./css/style.css">

	<title>Bootstrap Components</title>
</head>
<body>
<!-- contact us section -->
<div class="container" >
	<div class="d-flex flex-column justify-content-center align-items-center mt-5">
		<form>
			<div class="form-group text-center"><h1>Contact Us!</h1></div>
			<div class="form-group col-12 col-sm-12 col-md-8 col-lg-8">
				<label for="name">First Name</label>
					<input type="text" name="firsttName" id="name" required placeholder="First Name" class="form-control">
				<label for="lastName">Last Name</label>
					<input type="text" name="lastName" id="name" required placeholder="Last Name" class="form-control">
			</div>
			<div class="form-group col-12 col-sm-12 col-md-8 col-lg-8">
				<label for="email">Email</label>
					<input type="email" name="email" id="email" required placeholder="example@email.com" class="form-control">
			</div>
			<div class="form-group col-12 col-sm-12 col-md-8 col-lg-8">
				<label for="number">Contact Number</label>
					<input type="text" name="number" id="number" required placeholder="09xx-xxx-xx-xx" class="form-control">
			</div>
			<div class="form-group col-12 col-sm-12 col-md-8 col-lg-8">
					<label>Choose a browser from this list:
					<input list="browsers" name="myBrowser" placeholder="input your concerns"></label>
					<datalist id="browsers">
					  <option value="hard to understand">
					  <option value="hard to debug">
					</datalist>
			</div>
			<div class="form-group col-12 col-sm-12 col-md-8 col-lg-8">
				<label for="txt-textarea">Message</label>
						<textarea name="form-control" id="txt-textarea" rows="3" class="form-control" placeholder="Message"></textarea>
			</div>
			<div class="form-group col-12 col-sm-12 col-md-8 col-lg-8">
			<button type="button" class="btn btn-outline-success bg-warning text-white form-group" data-toggle="modal" data-target="#exampleModal">Submit</button>
			<button type="reset" class="btn btn-outline-danger bg-danger text-white form-group">Reset</button>
			</div>
		</form>
	</div>
</div>
	
	<!-- Modal -->
				<div id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" class="modal fade">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 id="exampleModalLabel" class="modal-title" >Thank you for contacting us!</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                  <span aria-hidden="true">&times;</span>
                              </button>
                          	</div>
                          	<div class="model-body">
								Message successfully sent!
							</div>
							<div class="modal-footer">
								<button type="button" data-dismiss="modal" class="btn btn-secondary">Close</button>
							</div>
						</div>
					</div>
				</div>
				<!-- end Modal -->






	<!-- js dependecies -->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
</body>
</html>